/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH SOFTWARE CODEC SOURCE CODE.   *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  file: bitwise.h
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: Aug 03 1996

 ********************************************************************/

/* upkeep */
extern void __ogg_cleanupB(void);
extern void __ogg_Bregister(int pipe);
extern void __ogg_Btempalloc(void);
extern int  __ogg_Bverify(int pipe);
extern void __ogg_Breset(int pipe);
extern void __ogg_Bcopy(int dest,int source);
extern void __ogg_Bmove(int dest,int source);
extern void __ogg_Bappend(int dest,int source);
extern int  __ogg_Bfill(int pipe,char *in,long bytes);
extern void __ogg_Bwflush(int bpipe, char **buffer, long *bytes);
extern long __ogg_Brflush(int bpipe);
extern long __ogg_Brremaining(int bpipenum,char **rembuffer);
extern void __ogg_Bset(int pipe);
extern long __ogg_Btest(int pipe);
extern long __ogg_Btestbits(int pipe);

/* write */
extern void __ogg_Bout(unsigned long value,int bits);
extern void __ogg_BoutSl(char *s);
extern void __ogg_BoutS(char *s);

/* read */
extern unsigned long __ogg_Blook(int bits);
extern void          __ogg_Badv(int bits);
extern long          __ogg_Bread(int bits);
extern char          *__ogg_BinS(void);
extern char          *__ogg_BinSS(void);
