/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH SOFTWARE CODEC SOURCE CODE.   *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  file: parser.h
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: Jun 13 1996

 ********************************************************************/

extern void    __ogg_inputTOlines(char *in);
extern void    __ogg_firstpass(void);
extern void    __ogg_secondpass(void);
extern void    __ogg_makemachine(void);
extern void    __ogg_packheader(char **ret,long *bytes);
extern long    __ogg_readheader(char *lines,long bytes);

extern int     __ogg_fixedARG(module *m,int num);
extern int     __ogg_variableARG(module *m,int num);
extern int     __ogg_variableBOUND(module *m,int num);
extern int     __ogg_variableEND(module *m,int num);
extern char   *__ogg_CfixedARG(module *m,int num);
extern char   *__ogg_CvariableARG(module *m,int num);
extern void    __ogg_Cerror(int num,int arg);

extern void    __ogg_CleanupParser(void);
extern void    __ogg_CleanupAssembler(void);
