/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH SOFTWARE CODEC SOURCE CODE.   *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  file: virtual.h
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: Jun 11 1996

 ********************************************************************/

extern void    __ogg_cleanupM(void);
extern void    __ogg_callMbyhandle(int h);
extern int     __ogg_getMhandle(module *m);
extern module *__ogg_gethandleM(int handle);
extern void    __ogg_virtual_machine_pass(void);
extern void    __ogg_virtual_machine_jump(int pos);
extern void    __ogg_virtual_machine_halt(void);

extern module *__ogg_createM(void);
extern module *__ogg_indirectM(int mod);

extern int  __ogg_buffer_used(int group,int name);
#ifdef MAX_IOBUFFER
extern dspb *__ogg_registerDSP(dspb ***ptr,long *nptr,int name);
extern bitb *__ogg_registerBIT(bitb ***ptr,long *nptr,int name);
#endif
extern void __ogg_bankswitch(int to);

extern void __ogg_buffer_dsp(int group,int name,struct ogg_dspinfo *s);
extern void __ogg_buffer_bit(int group,int name,struct ogg_bitinfo *s);
extern long __ogg_input_query(int group,int name);
extern void __ogg_input_reset(int group,int name);
extern void __ogg_input_dsp(int group,int name,void *data,long elements,
			    int width,int endian,int sign,int scale);
extern void __ogg_output_dsp(int group,int name,void **data,long *elements,
			    int width,int endian,int sign,int scale);
extern void __ogg_input_bit(int group,int name,char *data,long bytes);
extern void __ogg_output_bit(int group,int name,char **data,long *bytes);

extern void __ogg_run_clear(void);

