/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH SOFTWARE CODEC SOURCE CODE.   *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  file: buffer.h
  function: I/O buffer types
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: May 10 1996

 ********************************************************************/

#define MAX_IOBUFFER 3

typedef struct dsp_buffer{
  int   pipe;   /* dsp buffers attach to pipes */
  void *ptr;    /* mbuffer */

  long  hint;   /* The hint, unlike the returned value from ogg_input_query
		   is 'mbuffer style'; it is orthogonal to channels */

  long  rate;
  long  channels;
  long  dynrange;

} dspb;

typedef struct bit_buffer{
  int   bpipe;   /* bit buffers attach to bpipes */
  char *ptr;    
  long  bytes;   

  long  hint;

  long  seekable;
} bitb;
