/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH SOFTWARE CODEC SOURCE CODE.   *
 *                                                                  *
 ********************************************************************

  file: fft.h
  function: Fast Fourier and related routine prototypes
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: Jul 01 1996

 ********************************************************************/

/***** for the intger fft *************/
#ifndef FFT_TRIGSHIFT
#define FFT_TRIGSHIFT 10
#define FFT_TRIGMULT (1L<<FFT_TRIGSHIFT)
#endif

extern void __ogg_fdcosqf(int n, float *x, float *wsave, int *ifac);
extern void __ogg_fdcosqb(int n, float *x, float *wsave, int *ifac);
extern void __ogg_fdrfftf(int n, float *x, float *wsave, int *ifac);
extern void __ogg_fdrfftb(int n, float *x, float *wsave, int *ifac);
extern void __ogg_fdcosqi(int n, float *wsave, int *ifac);
extern void __ogg_fdrffti(int n, float *wsave, int *ifac);

extern void __ogg_idcosqf(int n, long *x, long *wsave, int *ifac);
extern void __ogg_idcosqb(int n, long *x, long *wsave, int *ifac);
extern void __ogg_idrfftf(int n, long *x, long *wsave, int *ifac);
extern void __ogg_idrfftb(int n, long *x, long *wsave, int *ifac);
extern void __ogg_idcosqi(int n, long *wsave, int *ifac);
extern void __ogg_idrffti(int n, long *wsave, int *ifac);
