/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH SOFTWARE CODEC SOURCE CODE.   *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  file: memtypes.h
  function: random typedefs
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: May 17 1996

 ********************************************************************/

typedef struct mbuffer{
  int channels;
  long size;
  long **ptr;
} mbuffer;

typedef struct mpipe{
  mbuffer *buffer;
} mpipe;

typedef struct mvar{
  long ival;
} mvar;

typedef struct bpipe{
  long bytes;       
  long biggest;

  long endbyte;     
  int  endbit;      
  unsigned char *buffer;
  /* When writing, the buffer is kept large enough to hold everything.
     When reading, the buffer may be holding not enough or too
     much. Thus, we need to be able to query after the reads to see
     what is left over... The A modules will use 'hints' on all reads
     to make sure we have enough bytes and don't have to abort. */
} bpipe;
